- Qt 5.5
- Qt3D Module
- C++ Classes
- NullOpenGLInformationService
- Qt 5.5.1 Reference Documentation

# NullOpenGLInformationService Class

(Qt3D::NullOpenGLInformationService)

Inherits: | QOpenGLInformationService

- List of all members, including inherited members

## Public Functions

| NullOpenGLInformationService()
| ~NullOpenGLInformationService()

## Reimplemented Public Functions

virtual QSurfaceFormat | format() const

- 1 public function inherited from Qt3D::QOpenGLInformationService
- 2 public functions inherited from Qt3D::QAbstractServiceProvider

## Member Function Documentation

### NullOpenGLInformationService::NullOpenGLInformationService()

### NullOpenGLInformationService::~NullOpenGLInformationService()

### `[virtual]` QSurfaceFormat NullOpenGLInformationService::format() const